org.apache.sysds.runtime.instructions.gpu.context

## Class GPUMemoryManager.EvictionPolicyBasedComparator

- java.lang.Object
- - org.apache.sysds.runtime.instructions.gpu.context.GPUMemoryManager.EvictionPolicyBasedComparator

All Implemented Interfaces:
  Comparator<GPUObject>

Enclosing class:
  GPUMemoryManager

    public static class GPUMemoryManager.EvictionPolicyBasedComparator
    extends Object
    implements Comparator<GPUObject>

Class that governs the eviction policy

### Constructor Summary

Constructors
Constructor and Description
`EvictionPolicyBasedComparator(long neededSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(GPUObject p1, GPUObject p2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### EvictionPolicyBasedComparator

    public EvictionPolicyBasedComparator(long neededSize)

### Method Detail

#### compare

    public int compare(GPUObject p1,
                       GPUObject p2)

Specified by:
  `compare` in interface `Comparator<GPUObject>`